public class CosinusEtSinus {

/////////////////////////////////////////////////
  
/* Type agrege de stockage du cosinus          */
/* et du sinus d'un angle                      */

  static class CosEtSin {
    double cos = 1.0;
    double sin = 0.0; };

/* Calcul du cosinus et du sinus d'un angle    */
/* donne en degres                             */

  static CosEtSin calculCosinusEtSinus(double angle) {
    CosEtSin res = new CosEtSin();
    double a;
    a = angle*Math.PI/180.0;
    res.cos = Math.cos(a);
    res.sin = Math.sin(a);
    return res;
  }

/////////////////////////////////////////////////

/* Programme principal                         */

  public static void main(String [] args) {
    double angle;
    CosEtSin ces;
    Ecran.afficher("SVP, l'angle : ");
    angle = Clavier.saisirDouble();  
    ces = calculCosinusEtSinus(angle);
    Ecran.afficherln("sin(",angle,") = ",ces.sin);
    Ecran.afficherln("cos(",angle,") = ",ces.cos);
  }
}